using System;

namespace ConsoleApp11
{
    class Program
    {
        static void Main(string[] args)
        {
            string s;
            double max, sum = 0, maxsum;
            int N, i, j;
            N = int.Parse(Console.ReadLine());
            double[] A = new double[N];
            double[] P = new double[N];
            for (i = 0; i < N; i++)
            {
                s = Console.ReadLine();
                string[] h = s.Split(' ');
                A[i] = double.Parse(h[0]);
                P[i] = double.Parse(h[1]);
            }
            maxsum = 0;
            for (i = 0; i < N; i++)
            {
                max = P[i];
                for (j = 0; j < N; j++)
                {
                    if (P[j]>=max)
                    {
                        sum += A[j] * (max / 100);
                    }
                    if (sum > maxsum)
                        maxsum = sum;
                }
                sum = 0;
            }
            Console.WriteLine(maxsum);
        }
    }
}